precision mediump float;
uniform sampler2D textureLuminance;
uniform sampler2D textureColors;
varying vec2 vUV;
varying float vBrightness;
varying float vColor;

void main()
 {
    vec2 luminanceValue = texture2D(textureLuminance, vUV).rg;
    
    float diffuseBright = luminanceValue.x + luminanceValue.y * vBrightness;
    
	vec3 diffuseColor = texture2D(textureColors, vec2(diffuseBright ,vColor)).rgb;
    gl_FragColor = vec4(diffuseColor,1.0);
    //gl_FragColor = vec4(1.0, 1.0, 0.0, 1.0);
}