precision mediump float;

uniform sampler2D orbitDiffuseTex;

varying vec2 texCoord;
varying vec3 basicColour;

void main()
{
	vec4 orbitDiffuse = texture2D(orbitDiffuseTex, texCoord);
	vec3 finalColor = basicColour * orbitDiffuse.rgb;
	gl_FragColor = vec4(finalColor, 1.0);
}